> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit a defect report

> Submit a defect report from the product UI



## OpenAPI

````yaml /api-reference/bundled.yaml post /v0/defect-report
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/defect-report:
    post:
      tags:
        - defect-report
      summary: Submit a defect report
      description: Submit a defect report from the product UI
      operationId: postDefectReport
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostDefectReportRequest'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostDefectReportResponse'
        '400':
          description: Invalid request body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: Failed to send defect report email
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    PostDefectReportRequest:
      type: object
      properties:
        description:
          type: string
          description: Description of the defect
        expectedBehavior:
          type: string
          description: What the user expected to happen
        severity:
          type: string
          enum:
            - low
            - medium
            - high
          description: Severity level
        reporterName:
          type: string
          description: Name of the reporter
        reporterEmail:
          type: string
          description: Email of the reporter
        organization:
          type: string
          description: Customer organization name
        pageUrl:
          type: string
          description: URL where the defect was reported from
        componentId:
          type: string
          description: Lineage component ID
        componentName:
          type: string
          description: Lineage component display name
        pathId:
          type: string
          description: Path ID within the component
        ingressPayloadName:
          type: string
          description: Ingress payload name for the path
        egressPayloadName:
          type: string
          description: Egress payload name for the path
      required:
        - description
        - expectedBehavior
        - reporterName
        - reporterEmail
        - organization
        - pageUrl
    PostDefectReportResponse:
      type: object
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        id:
          type: number
        title:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````